# PINN-kit

A toolkit for Physics-Informed Neural Networks (PINNs). This package provides tools and utilities for implementing and training physics-informed neural networks for solving differential equations.

## Features

- Easy-to-use interface for defining physics-informed neural networks
- Support for various types of differential equations
- Domain handling utilities
- Training and evaluation tools

## Installation

```bash
pip install PINN-kit
```

## Quick Start

```python
from PINN_kit import PINN, Domain

# Create a domain
domain = Domain(...)

# Initialize a PINN
pinn = PINN(...)

# Train the network
pinn.train(...)
```

## Documentation

For detailed documentation, please visit [our documentation page](https://github.com/shivani/PINN-kit).

## License

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.
